aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorGravatar Damien Martin-Guillerez <dmarting@google.com>2016-10-28 12:02:50 +0000
committerGravatar John Cater <jcater@google.com>2016-10-28 16:02:57 +0000
commit4885eefffe11d5623eb478328f9fdc88fbcc6345 (patch)
tree7fee425b258e62ba286442ae721b150e0cab25cf
parent9facc2969ffaa3147f7d8b08628b90b60247ce77 (diff)
Change our URL to bazel.build
-- MOS_MIGRATED_REVID=137500893
-rw-r--r--CONTRIBUTING.md2
-rw-r--r--README.md26
-rwxr-xr-xscripts/ci/build.sh6
-rw-r--r--scripts/packages/BUILD2
-rw-r--r--scripts/packages/chocolatey/bazel.nuspec.template4
-rw-r--r--scripts/packages/chocolatey/chocolateyinstall.ps1.template2
-rw-r--r--scripts/packages/debian/control2
-rwxr-xr-xscripts/packages/template_bin.sh6
-rwxr-xr-xscripts/serve-docs.sh2
-rw-r--r--site/_includes/head.html8
-rw-r--r--site/_layouts/documentation.html2
-rw-r--r--site/blog/feed.xml2
-rw-r--r--site/designs/skylark/declared-providers.md4
-rw-r--r--site/versions/master/docs/external.md10
-rw-r--r--site/versions/master/docs/install.md4
-rw-r--r--site/versions/master/docs/rule-challenges.md2
-rw-r--r--site/versions/master/docs/skylark/deploying.md2
-rw-r--r--site/versions/master/docs/support.md2
-rw-r--r--site/versions/master/docs/tutorial/android-app.md4
-rw-r--r--site/versions/master/docs/tutorial/backend-server.md2
-rw-r--r--src/java_tools/junitrunner/java/com/google/testing/junit/runner/sharding/ShardingEnvironment.java2
-rw-r--r--src/main/java/com/google/devtools/build/lib/bazel/rules/workspace/MavenJarRule.java8
-rw-r--r--src/main/java/com/google/devtools/build/lib/sandbox/SandboxActionContextProvider.java2
-rw-r--r--src/main/java/com/google/devtools/build/lib/skylarkinterface/SkylarkSignature.java2
-rw-r--r--third_party/protobuf/README.md2
-rw-r--r--tools/build_defs/docker/README.md2
-rw-r--r--tools/build_defs/pkg/README.md2
27 files changed, 57 insertions, 57 deletions
diff --git a/CONTRIBUTING.md b/CONTRIBUTING.md
index 9d3d1aaf8a..3e00a120b7 100644
--- a/CONTRIBUTING.md
+++ b/CONTRIBUTING.md
@@ -19,7 +19,7 @@ possibly guide you.
### Code reviews and other contributions.
**All submissions, including submissions by project members, require review.**
-Please follow the instructions in [the contributors documentation](http://bazel.io/contributing.html).
+Please follow the instructions in [the contributors documentation](http://bazel.build/contributing.html).
### The small print
Contributions made by corporations are covered by a different agreement than
diff --git a/README.md b/README.md
index c02db89741..4ec75086d6 100644
--- a/README.md
+++ b/README.md
@@ -1,4 +1,4 @@
-# [Bazel](http://bazel.io) ([Beta](http://bazel.io/roadmap.html#beta))
+# [Bazel](http://bazel.build) ([Beta](http://bazel.build/roadmap.html#beta))
*{Fast, Correct} - Choose two*
@@ -21,21 +21,21 @@ support many different programming languages within Google, and can be
used to build both client and server software targeting multiple
architectures from the same underlying codebase.
-Find more background about Bazel in our [FAQ](http://bazel.io/faq.html).
+Find more background about Bazel in our [FAQ](http://bazel.build/faq.html).
## Getting Started
- * How to [install Bazel](http://bazel.io/docs/install.html)
- * How to [get started using Bazel](http://bazel.io/docs/getting-started.html)
- * The Bazel command line is documented in the [user manual](http://bazel.io/docs/bazel-user-manual.html)
- * The rule reference documentation is in the [build encyclopedia](http://bazel.io/docs/be/overview.html)
- * How to [use the query command](http://bazel.io/docs/query.html)
- * How to [extend Bazel](http://bazel.io/docs/skylark/index.html)
- * The test environment is described on the page [writing tests](http://bazel.io/docs/test-encyclopedia.html)
+ * How to [install Bazel](http://bazel.build/docs/install.html)
+ * How to [get started using Bazel](http://bazel.build/docs/getting-started.html)
+ * The Bazel command line is documented in the [user manual](http://bazel.build/docs/bazel-user-manual.html)
+ * The rule reference documentation is in the [build encyclopedia](http://bazel.build/docs/be/overview.html)
+ * How to [use the query command](http://bazel.build/docs/query.html)
+ * How to [extend Bazel](http://bazel.build/docs/skylark/index.html)
+ * The test environment is described on the page [writing tests](http://bazel.build/docs/test-encyclopedia.html)
## About the Bazel project:
- * How to [contribute to Bazel](http://bazel.io/contributing.html)
- * Our [governance plan](http://bazel.io/governance.html)
- * Future plans are in the [roadmap](http://bazel.io/roadmap.html)
- * For each feature, which level of [support](http://bazel.io/support.html) to expect.
+ * How to [contribute to Bazel](http://bazel.build/contributing.html)
+ * Our [governance plan](http://bazel.build/governance.html)
+ * Future plans are in the [roadmap](http://bazel.build/roadmap.html)
+ * For each feature, which level of [support](http://bazel.build/support.html) to expect.
diff --git a/scripts/ci/build.sh b/scripts/ci/build.sh
index 1380e1e0dd..fcb3a7ad7d 100755
--- a/scripts/ci/build.sh
+++ b/scripts/ci/build.sh
@@ -154,7 +154,7 @@ function bazel_build() {
cp -f bazel-genfiles/scripts/packages/bazel.dsc $1/bazel.dsc
cp -f bazel-genfiles/scripts/packages/bazel.tar.gz $1/bazel.tar.gz
fi
- cp bazel-genfiles/site/jekyll-tree.tar $1/www.bazel.io.tar
+ cp bazel-genfiles/site/jekyll-tree.tar $1/www.bazel.build.tar
cp bazel-genfiles/scripts/packages/README.md $1/README.md
fi
@@ -224,7 +224,7 @@ Classpath exception. Those installers should always be redistributed along with
the source code.
_Security_: All our binaries are signed with our
-[public key](https://bazel.io/bazel-release.pub.gpg).
+[public key](https://bazel.build/bazel-release.pub.gpg).
"
if [ ! -x "${release_tool}" ]; then
@@ -254,7 +254,7 @@ function create_index_md() {
echo
# Security notice
echo "_Security_: All our binaries are signed with our"
- echo "[public key](https://bazel.io/bazel-release.pub.gpg)."
+ echo "[public key](https://bazel.build/bazel-release.pub.gpg)."
echo
for f in $1/*.sha256; do # just list the sha256 ones
local filename=$(basename $f .sha256);
diff --git a/scripts/packages/BUILD b/scripts/packages/BUILD
index 0e0221974d..f80fad42e8 100644
--- a/scripts/packages/BUILD
+++ b/scripts/packages/BUILD
@@ -165,7 +165,7 @@ pkg_deb(
"bash-completion",
],
description_file = "debian/description",
- homepage = "http://bazel.io",
+ homepage = "http://bazel.build",
maintainer = "The Bazel Authors <bazel-dev@googlegroups.com>",
package = "bazel",
version_file = ":version.txt",
diff --git a/scripts/packages/chocolatey/bazel.nuspec.template b/scripts/packages/chocolatey/bazel.nuspec.template
index 8cd710c88e..c192fc0414 100644
--- a/scripts/packages/chocolatey/bazel.nuspec.template
+++ b/scripts/packages/chocolatey/bazel.nuspec.template
@@ -38,14 +38,14 @@ This is a nuspec. It mostly adheres to https://docs.nuget.org/create/Nuspec-Refe
<title>bazel (Install)</title>
<authors>The Bazel Authors</authors>
<!-- projectUrl is required for the community feed -->
- <projectUrl>https://bazel.io</projectUrl>
+ <projectUrl>https://bazel.build</projectUrl>
<iconUrl>https://cdn.rawgit.com/bazelbuild/bazel/master/site/images/bazel-logo.png</iconUrl>
<copyright>Copyright 2016 The Bazel Authors. All rights reserved.</copyright>
<!-- If there is a license Url available, it is is required for the community feed -->
<licenseUrl>https://github.com/bazelbuild/bazel/tree/master/LICENSE.txt</licenseUrl>
<requireLicenseAcceptance>true</requireLicenseAcceptance>
<projectSourceUrl>https://github.com/bazelbuild/bazel.git</projectSourceUrl>
- <docsUrl>https://www.bazel.io/versions/master/docs/getting-started.html</docsUrl>
+ <docsUrl>https://www.bazel.build/versions/master/docs/getting-started.html</docsUrl>
<mailingListUrl>https://groups.google.com/forum/#!forum/bazel-discuss</mailingListUrl>
<bugTrackerUrl>https://github.com/bazelbuild/bazel/issues</bugTrackerUrl>
<tags>bazel build automation</tags>
diff --git a/scripts/packages/chocolatey/chocolateyinstall.ps1.template b/scripts/packages/chocolatey/chocolateyinstall.ps1.template
index abb2f63045..71813cc537 100644
--- a/scripts/packages/chocolatey/chocolateyinstall.ps1.template
+++ b/scripts/packages/chocolatey/chocolateyinstall.ps1.template
@@ -68,5 +68,5 @@ You also need, in your msys2 environment:
export BAZEL_SH=c:/tools/msys64/usr/bin/bash.exe
export BAZEL_PYTHON=c:/tools/python2/python.exe
-See also https://bazel.io/docs/windows.html
+See also https://bazel.build/docs/windows.html
"@
diff --git a/scripts/packages/debian/control b/scripts/packages/debian/control
index e9131d1fdb..acbec62934 100644
--- a/scripts/packages/debian/control
+++ b/scripts/packages/debian/control
@@ -16,4 +16,4 @@ Description: Bazel is a tool that automates software builds and tests.
executable programs and libraries, and assembling deployable packages
for Android, iOS and other target environments. Bazel is similar to
other tools like Make, Ant, Gradle, Buck, Pants and Maven.
-Homepage: http://bazel.io
+Homepage: http://bazel.build
diff --git a/scripts/packages/template_bin.sh b/scripts/packages/template_bin.sh
index 69837f4ad7..c35b2463d6 100755
--- a/scripts/packages/template_bin.sh
+++ b/scripts/packages/template_bin.sh
@@ -100,7 +100,7 @@ test_write() {
if ! which unzip >/dev/null; then
echo >&2
echo "unzip not found, please install the corresponding package." >&2
- echo "See http://bazel.io/docs/install.html for more information on" >&2
+ echo "See http://bazel.build/docs/install.html for more information on" >&2
echo "dependencies of Bazel." >&2
exit 1
fi
@@ -125,7 +125,7 @@ fi
if [ ! -x "${JAVA_HOME}/bin/javac" ]; then
echo >&2
echo "Java not found, please install the corresponding package" >&2
- echo "See http://bazel.io/docs/install.html for more information on" >&2
+ echo "See http://bazel.build/docs/install.html for more information on" >&2
echo "dependencies of Bazel." >&2
exit 1
fi
@@ -183,6 +183,6 @@ Make sure you have "${bin}" in your path. You can also activate bash
completion by adding the following line to your ${BASHRC}:
source ${base}/bin/bazel-complete.bash
-See http://bazel.io/docs/getting-started.html to start a new project!
+See http://bazel.build/docs/getting-started.html to start a new project!
EOF
exit 0
diff --git a/scripts/serve-docs.sh b/scripts/serve-docs.sh
index d064b3cdf1..0ab17dc0f3 100755
--- a/scripts/serve-docs.sh
+++ b/scripts/serve-docs.sh
@@ -52,7 +52,7 @@ function build_and_serve {
pkill -9 jekyll || true
if [ -z "$TARGET" ]; then
- echo "Serving bazel.io site at port $PORT"
+ echo "Serving bazel.build site at port $PORT"
jekyll serve --detach --quiet --port $PORT --source $WORKING_DIR
else
TMP_TARGET=$(mktemp -d)
diff --git a/site/_includes/head.html b/site/_includes/head.html
index 17af3ab54e..664bcdef72 100644
--- a/site/_includes/head.html
+++ b/site/_includes/head.html
@@ -6,13 +6,13 @@
<script>
var current_url = window.location.href;
- var bad_url = new RegExp("^https?://bazelbuild.github.io/bazel/");
+ var bad_url = new RegExp("^https?://(bazelbuild.github.io/bazel|bazel.io)/");
if (bad_url.test(current_url)) {
- window.location.replace(current_url.replace(bad_url, "https://www.bazel.io/"));
+ window.location.replace(current_url.replace(bad_url, "https://bazel.build/"));
}
- var http_url = new RegExp("^http://(www\.)?bazel.io/");
+ var http_url = new RegExp("^http://(www\.)?bazel.build/");
if (http_url.test(current_url)) {
- window.location.replace(current_url.replace(http_url, "https://www.bazel.io/"));
+ window.location.replace(current_url.replace(http_url, "https://bazel.build/"));
}
</script>
diff --git a/site/_layouts/documentation.html b/site/_layouts/documentation.html
index 15710d72a7..15152305ab 100644
--- a/site/_layouts/documentation.html
+++ b/site/_layouts/documentation.html
@@ -88,7 +88,7 @@ version_prefix: /versions/master
</li>
<li><a href="{{ page.version_prefix }}/docs/skylark/cookbook.html">Examples</a></li>
<li><a href="{{ page.version_prefix }}/docs/skylark/deploying.html">Packaging rules</a></li>
- <li><a href="https://skydoc.bazel.io" target="_blank">Documenting rules</a></li>
+ <li><a href="https://skydoc.bazel.build" target="_blank">Documenting rules</a></li>
</ul>
</nav>
</div>
diff --git a/site/blog/feed.xml b/site/blog/feed.xml
index 71bc81bc82..2d039368ce 100644
--- a/site/blog/feed.xml
+++ b/site/blog/feed.xml
@@ -5,7 +5,7 @@
<channel>
<title>Bazel Blog</title>
- <link>http://bazel.io</link>
+ <link>http://bazel.build</link>
<description>Fast, correct builds.</description>
{% for post in site.categories.blog limit:10 %}
<item>
diff --git a/site/designs/skylark/declared-providers.md b/site/designs/skylark/declared-providers.md
index 51aab95a93..e64ffb7d41 100644
--- a/site/designs/skylark/declared-providers.md
+++ b/site/designs/skylark/declared-providers.md
@@ -98,7 +98,7 @@ def _impl(ctx):
that every provider is associated with its declaration (it is a different
type). Arguments of a provider declaration when used as a function are
exactly the same as that of a built-in `struct` function.
-* [Target](http://www.bazel.io/docs/skylark/lib/Target.html) objects become
+* [Target](http://www.bazel.build/docs/skylark/lib/Target.html) objects become
dictionaries of providers indexed by their declaration. Bracket notation can
be used to retrieve a particular provider. Thus, provider declarations are
[symbol-like](https://developer.mozilla.org/en/docs/Web/JavaScript/Reference/Global_Objects/Symbol)
@@ -137,7 +137,7 @@ find easily what can go in the deps attribute of cc_library).
We allow rules to declare the providers they intend to return with a `providers`
argument of a
-<code>[rule](http://www.bazel.io/docs/skylark/lib/globals.html#rule)</code>
+<code>[rule](http://www.bazel.build/docs/skylark/lib/globals.html#rule)</code>
function. It is an error if the rule implementation function does not return all
the providers listed in `providers`. It may however return additional providers.
diff --git a/site/versions/master/docs/external.md b/site/versions/master/docs/external.md
index 82b62584b3..ea487510ec 100644
--- a/site/versions/master/docs/external.md
+++ b/site/versions/master/docs/external.md
@@ -32,7 +32,7 @@ directory: to remove all external artifacts, use `bazel clean --expunge`.
By default, external dependencies are fetched as needed during `bazel build`. If
you would like to disable this behavior or prefetch dependencies, use
-[`bazel fetch`](http://bazel.io/docs/bazel-user-manual.html#fetch).
+[`bazel fetch`](http://bazel.build/docs/bazel-user-manual.html#fetch).
## Using Proxies
@@ -127,8 +127,8 @@ There are a few basic types of external dependencies that can be created.
If you have a second Bazel project that you'd like to use targets from, you can
use
-[`local_repository`](http://bazel.io/docs/be/workspace.html#local_repository)
-or [`http_archive`](http://bazel.io/docs/be/workspace.html#http_archive)
+[`local_repository`](http://bazel.build/docs/be/workspace.html#local_repository)
+or [`http_archive`](http://bazel.build/docs/be/workspace.html#http_archive)
to symlink it from the local filesystem or download it (respectively).
For example, suppose you are working on a project, `my-project/`, and you want
@@ -150,8 +150,8 @@ If your coworker has a target `//foo:bar`, your project can refer to it as
## Depending on non-Bazel projects
Rules prefixed with `new_` (e.g.,
-[`new_local_repository`](http://bazel.io/docs/be/workspace.html#new_local_repository)
-and [`new_http_archive`](http://bazel.io/docs/be/workspace.html#new_http_archive)
+[`new_local_repository`](http://bazel.build/docs/be/workspace.html#new_local_repository)
+and [`new_http_archive`](http://bazel.build/docs/be/workspace.html#new_http_archive)
) allow you to create targets from projects that do not use Bazel.
For example, suppose you are working on a project, `my-project/`, and you want
diff --git a/site/versions/master/docs/install.md b/site/versions/master/docs/install.md
index d5e41d6404..812f1b033f 100644
--- a/site/versions/master/docs/install.md
+++ b/site/versions/master/docs/install.md
@@ -54,7 +54,7 @@ Note: You might need to `sudo apt-get install software-properties-common` if you
```
$ echo "deb [arch=amd64] http://storage.googleapis.com/bazel-apt stable jdk1.8" | sudo tee /etc/apt/sources.list.d/bazel.list
-$ curl https://bazel.io/bazel-release.pub.gpg | sudo apt-key add -
+$ curl https://bazel.build/bazel-release.pub.gpg | sudo apt-key add -
```
If you want to use the JDK 7, please replace `jdk1.8` with `jdk1.7` and if you want to install the testing version of Bazel, replace `stable` with `testing`.
@@ -231,7 +231,7 @@ This will create a bazel binary in `bazel-bin/src/bazel`. This binary is
self-contained, so it can be copied to a directory on the PATH (e.g.,
`/usr/local/bin`) or used in-place.
-Check our [continuous integration](http://ci.bazel.io) for the current status of
+Check our [continuous integration](http://ci.bazel.build) for the current status of
the build.
diff --git a/site/versions/master/docs/rule-challenges.md b/site/versions/master/docs/rule-challenges.md
index 7b92655b91..e69e6472b9 100644
--- a/site/versions/master/docs/rule-challenges.md
+++ b/site/versions/master/docs/rule-challenges.md
@@ -119,7 +119,7 @@ itself and its dependencies.
Above, we argued that in order to be correct, Bazel needs to know all the input
files that go into a build step in order to detect whether that build step is
still up-to-date. The same is true for package loading and rule analysis, and we
-have designed [Skyframe] (http://www.bazel.io/docs/skyframe.html) to handle this
+have designed [Skyframe] (http://www.bazel.build/docs/skyframe.html) to handle this
in general. Skyframe is a graph library and evaluation framework that takes a
goal node (such as ‘build //foo with these options’), and breaks it down into
its constituent parts, which are then evaluated and combined to yield this
diff --git a/site/versions/master/docs/skylark/deploying.md b/site/versions/master/docs/skylark/deploying.md
index ad0831ccff..658445175e 100644
--- a/site/versions/master/docs/skylark/deploying.md
+++ b/site/versions/master/docs/skylark/deploying.md
@@ -115,7 +115,7 @@ Bazel binary in /usr/bin.
If your repository is under the [bazelbuild organization](https://github.com/bazelbuild),
contact the [bazel-dev](https://groups.google.com/forum/#!forum/bazel-dev) list
-to have it added to [ci.bazel.io](http://ci.bazel.io).
+to have it added to [ci.bazel.build](http://ci.bazel.build).
## Documentation
diff --git a/site/versions/master/docs/support.md b/site/versions/master/docs/support.md
index fae80aa227..2119e6dca0 100644
--- a/site/versions/master/docs/support.md
+++ b/site/versions/master/docs/support.md
@@ -63,7 +63,7 @@ release candidate, we release it.
### Release versioning
Version 0.1 is our first release marking the start of our beta phase. Until version 1.0.0, we
-increase the MINOR version every time we reach a [new milestone](http://bazel.io/roadmap.html).
+increase the MINOR version every time we reach a [new milestone](http://bazel.build/roadmap.html).
Version 1.0.0 marks the end of our beta phase; afterwards, we will label each release with a
version number of the form MAJOR.MINOR.PATCH according to the
diff --git a/site/versions/master/docs/tutorial/android-app.md b/site/versions/master/docs/tutorial/android-app.md
index 31e86475cc..dcb837696f 100644
--- a/site/versions/master/docs/tutorial/android-app.md
+++ b/site/versions/master/docs/tutorial/android-app.md
@@ -256,7 +256,7 @@ $ ls $WORKSPACE/bazel-bin/android
You can now deploy the app to a connected Android device or emulator from the
command line using the
-[`bazel mobile-install`](http://bazel.io/docs/bazel-user-manual.html#mobile-install)
+[`bazel mobile-install`](http://bazel.build/docs/bazel-user-manual.html#mobile-install)
command. This command uses the Android Debug Bridge (`adb`) to communicate with
the device. You must set up your device to use `adb` following the instructions
in
@@ -270,7 +270,7 @@ $ bazel mobile-install //android:android
```
Note that the `mobile-install` subcommand also supports the
-[`--incremental`](http://bazel.io/docs/bazel-user-manual.html#mobile-install)
+[`--incremental`](http://bazel.build/docs/bazel-user-manual.html#mobile-install)
flag that can be used to deploy only those parts of the app that have changed
since the last deployment.
diff --git a/site/versions/master/docs/tutorial/backend-server.md b/site/versions/master/docs/tutorial/backend-server.md
index 250be4441f..a3dc8fffbd 100644
--- a/site/versions/master/docs/tutorial/backend-server.md
+++ b/site/versions/master/docs/tutorial/backend-server.md
@@ -51,7 +51,7 @@ The key files and directories are:
## Update the WORKSPACE file
As with the Android app, you must add references to
-[external dependencies](http://bazel.io/docs/external.html) to your `WORKSPACE`
+[external dependencies](http://bazel.build/docs/external.html) to your `WORKSPACE`
file. For the backend server, these are references to the App Engine SDK,
the Java Servlet SDK and other libraries needed to build the App Engine
applications.
diff --git a/src/java_tools/junitrunner/java/com/google/testing/junit/runner/sharding/ShardingEnvironment.java b/src/java_tools/junitrunner/java/com/google/testing/junit/runner/sharding/ShardingEnvironment.java
index dcdbedb310..6c45f5fa51 100644
--- a/src/java_tools/junitrunner/java/com/google/testing/junit/runner/sharding/ShardingEnvironment.java
+++ b/src/java_tools/junitrunner/java/com/google/testing/junit/runner/sharding/ShardingEnvironment.java
@@ -20,7 +20,7 @@ import javax.inject.Inject;
/**
* Utility class that encapsulates dependencies from sharding implementations
- * on the test environment. See http://bazel.io/docs/test-sharding.html for a
+ * on the test environment. See http://bazel.build/docs/test-sharding.html for a
* list of all environment variables related to test sharding.
*/
public class ShardingEnvironment {
diff --git a/src/main/java/com/google/devtools/build/lib/bazel/rules/workspace/MavenJarRule.java b/src/main/java/com/google/devtools/build/lib/bazel/rules/workspace/MavenJarRule.java
index 0509bcfc03..63c0e95b0d 100644
--- a/src/main/java/com/google/devtools/build/lib/bazel/rules/workspace/MavenJarRule.java
+++ b/src/main/java/com/google/devtools/build/lib/bazel/rules/workspace/MavenJarRule.java
@@ -87,10 +87,10 @@ public class MavenJarRule implements RuleDefinition {
<p>Note that the maven_jar name is used as a repository name, so it is limited by the rules
governing workspace names: it cannot contain dashes nor dots (see
-<a href="http://bazel.io/docs/be/functions.html#workspace">the documentation on workspace names</a>
-for the exact specification). By convention, maven_jar names should match the artifact name,
-replacing illegal characters with underscores and leaving off the version. For example, a rule
-with <code>artifact = "org.apache.commons:commons-lang3:3.4"</code> should have
+<a href="http://bazel.build/docs/be/functions.html#workspace">the documentation on workspace
+names</a> for the exact specification). By convention, maven_jar names should match the artifact
+name, replacing illegal characters with underscores and leaving off the version. For example, a
+rule with <code>artifact = "org.apache.commons:commons-lang3:3.4"</code> should have
<code>name = "org_apache_commons_commons_lang3"</code>.</p>
<h4 id="maven_jar_examples">Examples</h4>
diff --git a/src/main/java/com/google/devtools/build/lib/sandbox/SandboxActionContextProvider.java b/src/main/java/com/google/devtools/build/lib/sandbox/SandboxActionContextProvider.java
index c8c0ab522b..4af6ebf317 100644
--- a/src/main/java/com/google/devtools/build/lib/sandbox/SandboxActionContextProvider.java
+++ b/src/main/java/com/google/devtools/build/lib/sandbox/SandboxActionContextProvider.java
@@ -31,7 +31,7 @@ final class SandboxActionContextProvider extends ActionContextProvider {
public static final String SANDBOX_NOT_SUPPORTED_MESSAGE =
"Sandboxed execution is not supported on your system and thus hermeticity of actions cannot "
- + "be guaranteed. See http://bazel.io/docs/bazel-user-manual.html#sandboxing for more "
+ + "be guaranteed. See http://bazel.build/docs/bazel-user-manual.html#sandboxing for more "
+ "information. You can turn off this warning via --ignore_unsupported_sandboxing";
@SuppressWarnings("unchecked")
diff --git a/src/main/java/com/google/devtools/build/lib/skylarkinterface/SkylarkSignature.java b/src/main/java/com/google/devtools/build/lib/skylarkinterface/SkylarkSignature.java
index 5a12ec038f..a7670105ef 100644
--- a/src/main/java/com/google/devtools/build/lib/skylarkinterface/SkylarkSignature.java
+++ b/src/main/java/com/google/devtools/build/lib/skylarkinterface/SkylarkSignature.java
@@ -53,7 +53,7 @@ public @interface SkylarkSignature {
/**
* General documentation block of the method. See the skylark documentation at
- * http://www.bazel.io/docs/skylark/.
+ * http://www.bazel.build/docs/skylark/.
*/
String doc() default "";
diff --git a/third_party/protobuf/README.md b/third_party/protobuf/README.md
index 85ba1a9ac4..f9e73a9f75 100644
--- a/third_party/protobuf/README.md
+++ b/third_party/protobuf/README.md
@@ -85,4 +85,4 @@ Finally, update the rules:
* * *
### Updating anything else in the directory
-Follow usual procedure as described on https://www.bazel.io/contributing.html
+Follow usual procedure as described on https://www.bazel.build/contributing.html
diff --git a/tools/build_defs/docker/README.md b/tools/build_defs/docker/README.md
index 648210bf1d..8466240687 100644
--- a/tools/build_defs/docker/README.md
+++ b/tools/build_defs/docker/README.md
@@ -140,7 +140,7 @@ reproducible.
## Pulling images and deb files from the internet
If you do not want to check in base image in your repository, you can use
-[external repositories](http://bazel.io/docs/external.html). For instance,
+[external repositories](http://bazel.build/docs/external.html). For instance,
you could create various layer with `external` labels:
```python
diff --git a/tools/build_defs/pkg/README.md b/tools/build_defs/pkg/README.md
index 47f6ffa1ac..8fda66636f 100644
--- a/tools/build_defs/pkg/README.md
+++ b/tools/build_defs/pkg/README.md
@@ -58,7 +58,7 @@ pkg_deb(
"unzip",
],
description_file = "debian/description",
- homepage = "http://bazel.io",
+ homepage = "http://bazel.build",
maintainer = "The Bazel Authors <bazel-dev@googlegroups.com>",
package = "bazel",
version = "0.1.1",